import Home from '../views/Home/Home.vue'
/* 首页 UnityTrace */
import Index from '@/views/index/Index.vue'
/* 产床管理 */
// import deliveryRoom from '@/views/deliveryRoomManagement/deliveryRoom.vue'
import deliveryRoom from '../views/deliveryRoomManagement/DeliveryRoom'
import Detail from '@/views/deliveryRoomManagement/detail/Detail.vue'
import deliveryBedBind from '@/views/deliveryRoomManagement/deliveryBedBind.vue'
import deliveryRoomConfig from '@/views/deliveryRoomManagement/deliveryRoomConfig.vue'
/* 统计分许 */
import PSY from '@/views/statisticAnalysis/PSY.vue'
import Crop from '@/views/statisticAnalysis/Crop.vue'
import productRetrospect from '@/views/statisticAnalysis/productRetrospect.vue'
/* 消息通知 */
import productionWarn from '@/views/infoInform/productionWarn.vue'
import deviceFault from '@/views/infoInform/deviceFault.vue'
/* 系统配置 */
import deviceConfig from '@/views/system/deviceConfig.vue'
import softwareSet from '@/views/system/softwareSet.vue'
/* 档案信息 */
import prairieConfig from '@/views/fileInfo/prairieConfig.vue'


/* 模板 */
import Aa from '../views/template/Aa.vue'
import Ab from '../views/template/Ab.vue'
import Ac from '../views/template/Ac.vue'
import Ad from '../views/template/Ad.vue'
import Ae from '../views/template/Ae.vue'
import Af from '../views/template/Af.vue'


export default [
  {
		path: '/home',
		component: Home,
		children: [
			{
				path: 'Index',
				name: 'Index',
				component: Index
			},
			// 产床管理
			{
				path: 'deliveryRoom',
				name: 'deliveryRoom',
				component: deliveryRoom
			},
			{
				path: 'Detail',
				name: 'Detail',
				component: Detail
			},
			{
				path: 'deliveryBedBind',
				name: 'deliveryBedBind',
				component: deliveryBedBind
			},
			{
				path: 'deliveryRoomConfig',
				name: 'deliveryRoomConfig',
				component: deliveryRoomConfig
			},
			// 统计分许
			{
				path: 'PSY',
				name: 'PSY',
				component: PSY
			},
			{
				path: 'Crop',
				name: 'Crop',
				component: Crop
			},
			{
				path: 'productRetrospect',
				name: 'productRetrospect',
				component: productRetrospect
			},
			/* 消息通知 */
			{
				path: 'productionWarn',
				name: 'productionWarn',
				component: productionWarn
			},
			/* 系统配置 */
			{
				path: 'deviceConfig',
				name: 'deviceConfig',
				component: deviceConfig
			},
			{
				path: 'softwareSet',
				name: 'softwareSet',
				component: softwareSet
			},
			{
				path: 'deviceFault',
				name: 'deviceFault',
				component: deviceFault
			},
			/* 档案信息 */
			{
				path: 'prairieConfig',
				name: 'prairieConfig',
				component: prairieConfig
			},
			
			// 模板
			{
				path: 'aa',
				name: 'aa',
				component: Aa
			},
			{
				path: 'ab',
				name: 'ab',
				component: Ab
			},
			{
				path: 'ac',
				name: 'ac',
				component: Ac
			},
			{
				path: 'ad',
				name: 'ad',
				component: Ad
			},
			{
				path: 'ae',
				name: 'ae',
				component: Ae
			},
			{
				path: 'af',
				name: 'af',
				component: Af
			}

		]
	},
]
