export const menuData = [
    {
        optionName: "首页",
        iconClassName: "el-icon-s-home",
        routerName: "Index",
        disabled: false
    },
    {
        optionName: "产床管理",
        iconClassName: "el-icon-setting",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '产房信息',
                routerName: "deliveryRoom"
            },
            {
                optionName: '产房配置',
                routerName: "deliveryRoomConfig"
            },
            {
                optionName: '产床绑定',
                routerName: "deliveryBedBind"
            }
            // {
            //     optionName: '人员信息',
            //     routerName: "aa"
            // }

        ]
    },
    {
        optionName: "统计分析",
        iconClassName: "el-icon-s-flag",
        disabled: false,
        childList: [
            {
                optionName: 'PSY分析',
                routerName: "PSY"
            },
            {
                optionName: '出栏预测',
                routerName: "Crop"
            },
            {
                optionName: '生产复盘',
                routerName: "productRetrospect"
            }
            
        ]
    },

    {
        optionName: "消息通知",
        iconClassName: "el-icon-s-flag",
        disabled: false,
        childList: [
            {
                optionName: '生产预警',
                routerName: "productionWarn"
            },
            {
                optionName: '设备故障',
                routerName: "deviceFault"
            },
        ]
    },
    {
        optionName: "系统配置",
        iconClassName: "el-icon-coordinate",
        disabled: false,
        childList: [
            {
                optionName: '设备配置',
                routerName: "deviceConfig"
            },
            {
                optionName: '软件配置',
                routerName: "softwareSet"
            }
        ]
    },
    {
        optionName: "档案信息",
        iconClassName: "el-icon-monitor",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '牧场配置',
                routerName: "prairieConfig"
            }
        ]
    },
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        childList: [ // 分组的
            {
                groupName: '组名一',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        disabled: false
    },

    "导航四"
]


